### A free/open-source library for quantitative finance

Public Member Functions | Friends
CommodityCurve Class Reference

Commodity term structure. More...

`#include <ql/experimental/commodities/commoditycurve.hpp>`

Inheritance diagram for CommodityCurve:
[legend]

List of all members.

## Public Member Functions

| CommodityCurve (const std::string &name, const CommodityType &commodityType, const Currency &currency, const UnitOfMeasure &unitOfMeasure, const Calendar &calendar, const std::vector< Date > &dates, const std::vector< Real > &prices, const DayCounter &dayCounter=Actual365Fixed())
| CommodityCurve (const std::string &name, const CommodityType &commodityType, const Currency &currency, const UnitOfMeasure &unitOfMeasure, const Calendar &calendar, const DayCounter &dayCounter=Actual365Fixed())

## Friends

class | CommodityIndex

## Inspectors

std::ostream & | operator<< (std::ostream &out, const CommodityCurve &curve)
std::string | name_
CommodityType | commodityType_
UnitOfMeasure | unitOfMeasure_
Currency | currency_
std::vector< Date > | dates_
std::vector< Time > | times_
std::vector< Real > | data_
Interpolation | interpolation_
ForwardFlat | interpolator_
boost::shared_ptr< CommodityCurve > | basisOfCurve_
Real | basisOfCurveUomConversionFactor_
const std::string & | name () const
const CommodityType & | commodityType () const
const UnitOfMeasure & | unitOfMeasure () const
const Currency & | currency () const
Date | maxDate () const
| the latest date for which the curve can return values
const std::vector< Time > & | times () const
const std::vector< Date > & | dates () const
const std::vector< Real > & | prices () const
std::vector< std::pair< Date, Real > > | nodes () const
bool | empty () const
void | setPrices (std::map< Date, Real > &prices)
void | setBasisOfCurve (const boost::shared_ptr< CommodityCurve > &basisOfCurve)
Real | price (const Date &d, const boost::shared_ptr< ExchangeContracts > &exchangeContracts, Integer nearbyOffset) const
Real | basisOfPrice (const Date &d) const
Date | underlyingPriceDate (const Date &date, const boost::shared_ptr< ExchangeContracts > &exchangeContracts, Integer nearbyOffset) const
const boost::shared_ptr < CommodityCurve > & | basisOfCurve () const
Real | basisOfPriceImpl (Time t) const
Real | priceImpl (Time t) const

## Detailed Description

Commodity term structure.